from django.urls import path, include
from rest_framework import routers
from maintenance.views import (
    FournisseurDetailView,
    TechnicienDetailView,
    FournisseurViewSet
)

router = routers.DefaultRouter()
router.register(r'fournisseurs', FournisseurViewSet)

urlpatterns = [
    path('fournisseur/<int:pk>', FournisseurDetailView.as_view(),
         name='fournisseur_detail'),
    path('technicien/<int:pk>', TechnicienDetailView.as_view(),
         name='technicien_detail'),
    path('api/', include(router.urls))
]
